<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMStoreOptionViewBase from './emstore-option-view-base.vue';

import view_form from '@widgets/emstore/main3-form/main3-form.vue';

/**
 * 仓库选项操作视图
 *
 * @export
 * @class EMStoreOptionView
 * @extends {EMStoreOptionViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMStoreOptionView extends EMStoreOptionViewBase { }
</script>